NewStart CGSL MAIN 6.02 : dotnet3.1 Vulnerability (NS-SA-2021-0125)

high Nessus Plugin ID 154599

Synopsis

The remote NewStart CGSL host is affected by a vulnerability.

Description

The remote NewStart CGSL host, running version MAIN 6.02, has dotnet3.1 packages installed that are affected by a vulnerability:

- ASP.NET Core and Visual Studio Denial of Service Vulnerability (CVE-2021-1723)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the vulnerable CGSL dotnet3.1 packages. Note that updated packages may not be available yet. Please contact ZTE for more information.

See Also

http://security.gd-linux.com/notice/NS-SA-2021-0125

http://security.gd-linux.com/info/CVE-2021-1723

Plugin Details

Severity: High

ID: 154599

File Name: newstart_cgsl_NS-SA-2021-0125_dotnet3_1.nasl

Version: 1.4

Type: local

Published: 10/28/2021

Updated: 11/27/2023

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS Score Source: CVE-2021-1723

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:zte:cgsl_main:aspnetcore-runtime-3.1, p-cpe:/a:zte:cgsl_main:aspnetcore-targeting-pack-3.1, p-cpe:/a:zte:cgsl_main:dotnet-apphost-pack-3.1, p-cpe:/a:zte:cgsl_main:dotnet-apphost-pack-3.1-debuginfo, p-cpe:/a:zte:cgsl_main:dotnet-hostfxr-3.1, p-cpe:/a:zte:cgsl_main:dotnet-hostfxr-3.1-debuginfo, p-cpe:/a:zte:cgsl_main:dotnet-runtime-3.1, p-cpe:/a:zte:cgsl_main:dotnet-runtime-3.1-debuginfo, p-cpe:/a:zte:cgsl_main:dotnet-sdk-3.1, p-cpe:/a:zte:cgsl_main:dotnet-sdk-3.1-debuginfo, p-cpe:/a:zte:cgsl_main:dotnet-targeting-pack-3.1, p-cpe:/a:zte:cgsl_main:dotnet-templates-3.1, p-cpe:/a:zte:cgsl_main:dotnet3.1-debuginfo, p-cpe:/a:zte:cgsl_main:dotnet3.1-debugsource, cpe:/o:zte:cgsl_main:6

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 9/24/2021

Vulnerability Publication Date: 1/12/2021

Reference Information

CVE: CVE-2021-1723

IAVA: 2021-A-0021